org.apache.hc.core5.http

## Class ProtocolVersionParser

- java.lang.Object
- - org.apache.hc.core5.http.ProtocolVersionParser

-     @Internal
      public class ProtocolVersionParser
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ProtocolVersionParser.Factory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProtocolVersionParser` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolVersionParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtocolVersion` | `parse(CharSequence buffer, Tokenizer.Cursor cursor, Tokenizer.Delimiter delimiterPredicate)`
    `ProtocolVersion` | `parse(String protocol, CharSequence buffer, Tokenizer.Cursor cursor)`
    `ProtocolVersion` | `parse(String protocol, CharSequence buffer, Tokenizer.Cursor cursor, Tokenizer.Delimiter delimiterPredicate)`
    `ProtocolVersion` | `parse(String protocol, ProtocolVersionParser.Factory factory, CharSequence buffer, Tokenizer.Cursor cursor, Tokenizer.Delimiter delimiterPredicate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final ProtocolVersionParser INSTANCE

  - ### Constructor Detail

    - #### ProtocolVersionParser

          public ProtocolVersionParser()

  - ### Method Detail

    - #### parse

          public ProtocolVersion parse(String protocol,
                                       ProtocolVersionParser.Factory factory,
                                       CharSequence buffer,
                                       Tokenizer.Cursor cursor,
                                       Tokenizer.Delimiter delimiterPredicate)
                                throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public ProtocolVersion parse(String protocol,
                                       CharSequence buffer,
                                       Tokenizer.Cursor cursor,
                                       Tokenizer.Delimiter delimiterPredicate)
                                throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public ProtocolVersion parse(String protocol,
                                       CharSequence buffer,
                                       Tokenizer.Cursor cursor)
                                throws ParseException

      Throws:
        `ParseException`

    - #### parse

          public ProtocolVersion parse(CharSequence buffer,
                                       Tokenizer.Cursor cursor,
                                       Tokenizer.Delimiter delimiterPredicate)
                                throws ParseException

      Throws:
        `ParseException`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.